Show / Hide Table of Contents

# Class EnumExtensions

Extension methods for enums.

##### Inheritance

System.Object
EnumExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Utility

###### Assembly: Dalamud.dll

##### Syntax

    public static class EnumExtensions

### Methods

| Improve this Doc View Source

#### GetAttribute<TAttribute>(Enum)

Gets an attribute on an enum.

##### Declaration

    public static TAttribute GetAttribute<TAttribute>(this Enum value)
        where TAttribute : Attribute

##### Parameters

Type | Name | Description
--- | --- | ---
System.Enum | value | The enum value that has an attached attribute.

##### Returns

Type | Description
--- | ---
TAttribute | The attached attribute, if any.

##### Type Parameters

Name | Description
--- | ---
TAttribute | The type of attribute to get.